#
# spec file for package adobe-sourceserifpro-fonts
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           adobe-sourceserifpro-fonts
%define _name SourceSerifPro
# Thre is no real version number, so we use the zip files release date.
Version:        1.014
Release:        8.1
Summary:        A set of OpenType fonts designed for user interfaces
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://sourceforge.net/projects/sourceserifpro.adobe/
Source:         http://downloads.sourceforge.net/sourceserifpro.adobe/%{_name}_FontsOnly-%{version}.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A set of serif OpenType fonts designed to complement Source Sans Pro 

%prep
%setup -q -n source-serif-pro-%{version}R
# Fix line endings
sed -i 's/\r$//g' LICENSE.txt
# fix spurious-executable-perm
chmod -x *.html LICENSE.txt

%build

%install
install -d %{buildroot}%{_ttfontsdir}
# by default install command uses 755 umask
install -m 644 OTF/*.otf TTF/*.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc LICENSE.txt *.html
%dir %{_ttfontsdir}
%{_ttfontsdir}/*

%changelog
* Tue May 27 2014 robert.munteanu@gmail.com
- Initial version
